Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.parsers
Class XMLParser

    java.lang.Object
      weblogic.apache.xerces.parsers.XMLParser

Direct Known Subclasses:
  AbstractXMLDocumentParser, XMLGrammarParser

Deprecated. please use JDK supplied XML parsers and transformers

public abstract class XMLParser
extends Object

Base class of all XML-related parsers.

In addition to the features and properties recognized by the parser configuration, this parser recognizes these additional features and properties:

- Properties
  - http://apache.org/xml/properties/internal/error-handler
  - http://apache.org/xml/properties/internal/entity-resolver

Field Summary
`protected static String` | `ENTITY_RESOLVER` Deprecated. Property identifier: entity resolver.
`protected static String` | `ERROR_HANDLER` Deprecated. Property identifier: error handler.
`protected XMLParserConfiguration` | `fConfiguration` Deprecated. The parser configuration.

Constructor Summary
`protected` | `XMLParser(XMLParserConfiguration config)` Deprecated. Default Constructor.

Method Summary
`void` | `parse(XMLInputSource inputSource)` Deprecated. parse
`protected void` | `reset()` Deprecated. reset all components before parsing

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ENTITY_RESOLVER

    protected static final String ENTITY_RESOLVER

  Deprecated.
  Property identifier: entity resolver.

  See Also:
    Constant Field Values

### ERROR_HANDLER

    protected static final String ERROR_HANDLER

  Deprecated.
  Property identifier: error handler.

  See Also:
    Constant Field Values

### fConfiguration

    protected XMLParserConfiguration fConfiguration

  Deprecated.
  The parser configuration.

Constructor Detail

### XMLParser

    protected XMLParser(XMLParserConfiguration config)

  Deprecated.
  Default Constructor.

Method Detail

### parse

    public void parse(XMLInputSource inputSource)
               throws XNIException,
                      IOException

  Deprecated.
  parse

  Parameters:
    `inputSource` -
  Throws:
    `XNIException`
    `IOException`

### reset

    protected void reset()
                  throws XNIException

  Deprecated.
  reset all components before parsing

  Throws:
    `XNIException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD